<?php
/**
 * @package   T3 Blank
 * @copyright Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license   GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

// get params
$sitename  = $this->params->get('sitename');
$slogan    = $this->params->get('slogan', '');
$logotype  = $this->params->get('logotype', 'text');
$logoimage = $logotype == 'image' ? $this->params->get('logoimage', 'templates/' . T3_TEMPLATE . '/images/logo.png') : '';
$logoimgsm = ($logotype == 'image' && $this->params->get('enable_logoimage_sm', 0)) ? $this->params->get('logoimage_sm', '') : false;

if (!$sitename) {
	$sitename = JFactory::getConfig()->get('sitename');
}

$logosize = 'col-sm-12';
if ($headright = $this->countModules('head-search or topinfo')) {
	$logosize = 'col-md-5';
}

?>

<!-- Top bar -->
<div class="top-bar clearfix">
	<div class="box-container">
		<div class="row">
			<div class="col-md-6 col-xs-6">
				<?php if ($this->countModules('topmenu')) { ?>
					<div class="top-menu">
						<jdoc:include type="modules" name="<?php $this->_p('topmenu') ?>" style="raw" />
					</div>
				<?php } ?>
			</div>
			<div class="col-md-6 col-xs-6">
				<?php if ($this->countModules('account')) { ?>
				<div class="account">
					<jdoc:include type="modules" name="<?php $this->_p('account') ?>" style="raw" />
				</div>
				<?php } ?>
			</div>
		</div>
	</div>
</div>
	

<!--/ Top bar end -->

<!-- HEADER -->
<header id="t3-header" class=" header">
<div class="box-container">
	<div class="row">
		<!-- LOGO -->
		<div class="col-md-5 col-sm-3 <?php echo $logosize ?> logo">
			<div class="logo-<?php echo $logotype, ($logoimgsm ? ' logo-control' : '') ?>">
				<a href="<?php echo JURI::base(true) ?>" title="<?php echo strip_tags($sitename) ?>">
					<?php if($logotype == 'image'): ?>
						<img class="logo-img" src="<?php echo JURI::base(true) . '/' . $logoimage ?>" alt="<?php echo strip_tags($sitename) ?>" />
					<?php endif ?>
					<?php if($logoimgsm) : ?>
						<img class="logo-img-sm visible-sm visible-xs" src="<?php echo JURI::base(true) . '/' . $logoimgsm ?>" alt="<?php echo strip_tags($sitename) ?>" />
					<?php endif ?>
					<span><?php echo $sitename ?></span>
				</a>
				<small class="site-slogan"><?php echo $slogan ?></small>
			</div>
		</div>
		<!-- //LOGO -->

		<?php if ($headright): ?>
			<div class="col-md-7 col-sm-9">
				<?php if ($this->countModules('head-search')) : ?>
					<!-- HEAD SEARCH -->
					<div class="head-search pull-right <?php $this->_c('head-search') ?>">
						<jdoc:include type="modules" name="<?php $this->_p('head-search') ?>" style="raw" />
					</div>
					<!-- //HEAD SEARCH -->
				<?php endif ?>


				<?php if ($this->countModules('topinfo')) : ?>
					<!-- HEAD SEARCH -->
					<div class="topinfo <?php $this->_c('topinfo') ?>">
						<jdoc:include type="modules" name="<?php $this->_p('topinfo') ?>" style="raw" />
					</div>
					<!-- //HEAD SEARCH -->
				<?php endif ?>



				<?php if ($this->countModules('languageswitcherload')) : ?>
					<!-- LANGUAGE SWITCHER -->
					<div class="languageswitcherload">
						<jdoc:include type="modules" name="<?php $this->_p('languageswitcherload') ?>" style="raw" />
					</div>
					<!-- //LANGUAGE SWITCHER -->
				<?php endif ?>
			</div>
		<?php endif ?>

	</div>
</div>
</header>
<!-- //HEADER -->
